import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/sysunitgroup/` + url, ...arg)

/**
 * 单位组Api接口管理器
 *
 * @author Luck
 * @date  2024/07/26 10:46
 **/
export default {
	// 获取单位组分页
	sysUnitGroupPage(data) {
		return request('page', data, 'get')
	},
	// 提交单位组表单 edit为true时为编辑，默认为新增
	sysUnitGroupSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除单位组
	sysUnitGroupDelete(data) {
		return request('delete', data)
	},
	// 获取单位组详情
	sysUnitGroupDetail(data) {
		return request('detail', data, 'get')
	},
	// 单位组列表
	sysUnitGroupList(data) {
		return request('list', data, 'get')
	},
}
